Questão Rede Juniper conectar no Ubuntu 14.04 não consegue encontrar 32 bit Java


Eu tenho Ubuntu x64 e tentando instalar a conexão de rede Juniper.

Instalado 64bit jre / jdk, icedtea e 32bit jre

 sudo apt-get install openjdk-7-jre icedtea-7-plugin
 sudo apt-get install openjdk-7-jre:i386

comando update-alternatives --config java mostra que java-7-openjdk-i386 está instalado e selecionado

 Selection    Path                                            Priority   Status
------------------------------------------------------------
  0            /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java   1071      auto mode
  1            /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java   1071      manual mode
* 2            /usr/lib/jvm/java-7-openjdk-i386/jre/bin/java    1070      manual mode

Mas quando estou tentando instalar a conexão de rede recebi o seguinte erro:

"A instalação falhou. Instale o Java de 32 bits e atualize as alternativas   links usando o comando update-alternatives. Para mais detalhes, consulte KB   artigo KB25230 "

Estas etapas funcionaram bem no Ubuntu 12.04 x64 e estou me perguntando por que ele não funciona em 14.04


4
2018-04-18 17:02


origem


Acabei de calcular a solução antes de encontrar essa resposta: askubuntu.com/questions/450369/… - ngọcminh.oss
adicionando o symlink a / usr / sbin / ajudou. sudo ln -s /usr/bin/update-alternatives /usr/sbin/  Obrigado. - user1980915


Respostas:


adicionando o symlink a / usr / sbin / ajudou.

sudo ln -s /usr/bin/update-alternatives /usr/sbin/

solução do seguinte artigo: Como instalar Juniper VPN no Ubuntu 14.04 LTS?

obrigado


5
2018-04-22 07:12





Apenas para adicionar outra nota para ajudar alguém com problemas ...

A melhor coisa que você pode fazer para depurar problemas é ativar o console Java no IcedTea executando itweb-settings - isso mostrará todos os erros no script juniper.

No meu caso, o script estava rodando 'java -version' e procurando por 'Java version', mas eu estava usando o openjdk que produzia 'openjdk version'. Então eu instalei o Oracle jre 8 e criei um link simbólico para o plugin no meu diretório .mozilla / plugins.


0
2017-09-17 12:52





os documentos de zimbro dizem para manter 64bit como padrão

infelizmente o doco está por trás de seu firewall (uma conta é gratuita)

http://kb.juniper.net/InfoCenter/index?page=content&id=KB25230&actp=search&viewlocale=en_US&searchid=1400682188393


-1
2018-05-21 14:35